"""adding warning field

Revision ID: 309cf493a1e2
Revises: 8fdc843fc202
Create Date: 2022-10-20 10:25:05.014779

"""
from alembic import op
import sqlalchemy as sa

from sqlalchemy.dialects import postgresql
from sqlalchemy import engine_from_config
from sqlalchemy.engine import reflection

# revision identifiers, used by Alembic.
revision = '309cf493a1e2'
down_revision = '8fdc843fc202'
branch_labels = None
depends_on = None


def _table_has_column(table, column):
    config = op.get_context().config
    engine = engine_from_config(
        config.get_section(config.config_ini_section), prefix="sqlalchemy."
    )

    insp = reflection.Inspector.from_engine(engine)
    return any(column in col["name"] for col in insp.get_columns(table))



def upgrade():
    if not _table_has_column('annotation_table_metadata', 'notice_text'):
        op.add_column('annotation_table_metadata', sa.Column('notice_text', sa.Text(), nullable=True))


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('annotation_table_metadata', 'notice_text')
    # ### end Alembic commands ###
